Bug 1577408 (CVE-2018-10940) - CVE-2018-10940 kernel: incorrect memory bounds check in drivers/cdrom/cdrom.c
Summary: CVE-2018-10940 kernel: incorrect memory bounds check in drivers/cdrom/cdrom.c
Status: NEW
Alias: CVE-2018-10940
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20180418,reported=2...
Keywords: Security
Depends On: 1578206 1578208 1578211 1577409 1578207 1578209 1578210 1578604
Blocks: 1577410
TreeView+ depends on / blocked
 
Reported: 2018-05-11 22:20 UTC by Laura Pardo
Modified: 2019-02-08 15:01 UTC (History)
42 users (show)

Fixed In Version: kernel 4.16.6
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel, before 4.16.6 where the cdrom_ioctl_media_changed function in drivers/cdrom/cdrom.c allows local attackers to use a incorrect bounds check in the CDROM driver CDROM_MEDIA_CHANGED ioctl to read out kernel memory.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2948 None None None 2018-10-30 09:01 UTC
Red Hat Product Errata RHSA-2018:3083 None None None 2018-10-30 07:34 UTC
Red Hat Product Errata RHSA-2018:3096 None None None 2018-10-30 07:40 UTC

Description Laura Pardo 2018-05-11 22:20:36 UTC
The cdrom_ioctl_media_changed function in drivers/cdrom/cdrom.c in the Linux kernel before 4.16.6 allows local attackers to use a incorrect bounds check in the CDROM driver CDROM_MEDIA_CHANGED ioctl to read out kernel memory.


References:
https://mirrors.edge.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.16.6
https://github.com/torvalds/linux/commit/9de4ee40547fd315d4a0ed1dd15a2fa3559ad707
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=9de4ee40547fd315d4a0ed1dd15a2fa3559ad707

Comment 4 Wade Mealing 2018-05-15 03:40:01 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1578210]

Comment 7 Justin M. Forbes 2018-05-15 14:47:42 UTC
This was fixed for Fedora with the 4.16.6 stable update.

Comment 10 errata-xmlrpc 2018-10-30 07:33:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3083 https://access.redhat.com/errata/RHSA-2018:3083

Comment 11 errata-xmlrpc 2018-10-30 07:39:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3096 https://access.redhat.com/errata/RHSA-2018:3096

Comment 12 errata-xmlrpc 2018-10-30 09:01:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2948 https://access.redhat.com/errata/RHSA-2018:2948


Note You need to log in before you can comment on or make changes to this bug.